from phaser import *
i = InputMR_DAT()
i.setHKLI("../tutorial/beta_blip_P3221.mtz")
r = runMR_DAT(i)
print(r.summary())
i = InputMR_AUTO()
i.setSPAC_HALL(r.getSpaceGroupHall())
i.setCELL6(r.getUnitCell())
i.setDATA_REFL(r.getDATA_REFL())
i.addENSE_PDB_ID("beta","../tutorial/beta.pdb",1.0)
i.addENSE_PDB_ID("blip","../tutorial/blip.pdb",1.0)
i.addCOMP_PROT_MW_NUM(28853,1)
i.addCOMP_PROT_MW_NUM(17522,1)
i.addSEAR_ENSE_NUM("beta",1)
i.addSEAR_ENSE_NUM("blip",1)
del(r)
r = runMR_AUTO(i)
print(r.summary())
if r.foundSolutions() :
  print("Phaser has found MR solutions")
  print("Top LLG = %f" % r.getTopLLG())
  print("Top PDB file = %s" % r.getTopPdbFile())
else:
  print("Phaser has not found any MR solutions")
